using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Domain;

public class TaobaoTbkItemInfoUpgradeGetPromotionInfoMapData
{

    /*
        商品一口价格
    */
    private string? reservePrice;


    /*
        折扣价（元） 若属于预售商品，付定金时间内，折扣价=预售价
    */
    private string? zkFinalPrice;


    /*
        促销信息-预估到手价(元)。若属于预售商品，付定金时间内，预估到手价=预售尾款预估到手价
    */
    private string? finalPromotionPrice;


    /*
        优惠促销列表
    */
    private IList<TaobaoTbkItemInfoUpgradeGetFinalPromotionPathMapData>? finalPromotionPathList;


    /*
        标签信息列表
    */
    private IList<TaobaoTbkItemInfoUpgradeGetPromotionTagMapData>? promotionTagList;


    /*
        促销信息-预估凑单价（元）。预估凑单叠加优惠后的商品单价
    */
    private string? predictRoundingUpPrice;


    /*
        促销信息-凑单价说明，描述凑单价的实现说明。如 “可凑单”或“需买X件”
    */
    private string? predictRoundingUpPriceDesc;


    /*
        更多活动优惠
    */
    private IList<TaobaoTbkItemInfoUpgradeGetMorePromotionMapData>? morePromotionList;


    /*
        货品展示标识列表
    */
    private IList<TaobaoTbkItemInfoUpgradeGetActivityTagMapData>? activityTagList;


    /*
        国家补贴
    */
    private TaobaoTbkItemInfoUpgradeGetGovSubsidyDTO? govSubsidy;



    [JsonPropertyName("reserve_price")]
    public string? ReservePrice
    {
        get => reservePrice;
        set => this.reservePrice = value;
    }

    [JsonPropertyName("zk_final_price")]
    public string? ZkFinalPrice
    {
        get => zkFinalPrice;
        set => this.zkFinalPrice = value;
    }

    [JsonPropertyName("final_promotion_price")]
    public string? FinalPromotionPrice
    {
        get => finalPromotionPrice;
        set => this.finalPromotionPrice = value;
    }

    [JsonPropertyName("final_promotion_path_list")]
    public IList<TaobaoTbkItemInfoUpgradeGetFinalPromotionPathMapData>? FinalPromotionPathList
    {
        get => finalPromotionPathList;
        set => this.finalPromotionPathList = value;
    }

    [JsonPropertyName("promotion_tag_list")]
    public IList<TaobaoTbkItemInfoUpgradeGetPromotionTagMapData>? PromotionTagList
    {
        get => promotionTagList;
        set => this.promotionTagList = value;
    }

    [JsonPropertyName("predict_rounding_up_price")]
    public string? PredictRoundingUpPrice
    {
        get => predictRoundingUpPrice;
        set => this.predictRoundingUpPrice = value;
    }

    [JsonPropertyName("predict_rounding_up_price_desc")]
    public string? PredictRoundingUpPriceDesc
    {
        get => predictRoundingUpPriceDesc;
        set => this.predictRoundingUpPriceDesc = value;
    }

    [JsonPropertyName("more_promotion_list")]
    public IList<TaobaoTbkItemInfoUpgradeGetMorePromotionMapData>? MorePromotionList
    {
        get => morePromotionList;
        set => this.morePromotionList = value;
    }

    [JsonPropertyName("activity_tag_list")]
    public IList<TaobaoTbkItemInfoUpgradeGetActivityTagMapData>? ActivityTagList
    {
        get => activityTagList;
        set => this.activityTagList = value;
    }

    [JsonPropertyName("gov_subsidy")]
    public TaobaoTbkItemInfoUpgradeGetGovSubsidyDTO? GovSubsidy
    {
        get => govSubsidy;
        set => this.govSubsidy = value;
    }

}

